You can install the package with the command below, depending on your os:
$ yum install ulyaoth-leveldb
$ dnf install ulyaoth-leveldb

LevelDB

LevelDB is a light-weight, single-purpose library for persistence with bindings to many platforms.

Available Packages:

Package Version
ulyaoth-leveldb 1.18

Supported Operating Systems:

Operating Systems Versions
Amazon Linux latest
CentOS 6, 7
Fedora 19, 20, 21, 22, 23, 24, 25
Oracle Linux 6, 7
Red Hat 6, 7
Scientific Linux 6, 7

ulyaoth support